package edu.itu.Examples;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;
	 
	public class ListViewAdapter extends ArrayAdapter<String> {
		private final Context context;
		private final String[] values;
	 
		public ListViewAdapter(Context context, String[] values) {
			super(context, R.layout.list_items, values);
			this.context = context;
			this.values = values;
		}
	 
		@Override
		public View getView(int position, View convertView, ViewGroup parent) {
			LayoutInflater inflater = (LayoutInflater) context
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
	 
			View rowView = inflater.inflate(R.layout.list_items, parent, false);
			TextView textView = (TextView) rowView.findViewById(R.id.label);
			ImageView imageView = (ImageView) rowView.findViewById(R.id.logo);
			textView.setText(values[position]);
	 
			// Change icon based on name
			String s = values[position];
	 
			System.out.println(s);
	 
			if (s.equals("One")) {
				imageView.setImageResource(R.drawable.one);
			} else if (s.equals("Two")) {
				imageView.setImageResource(R.drawable.two);
			} else if (s.equals("Three")) {
				imageView.setImageResource(R.drawable.three);
			} else {
				imageView.setImageResource(R.drawable.four);
			}
	 
			return rowView;
		}
	}
	